Page MenuHomePhabricator

upgrade cloud-vps openstack to Openstack version 'Pike'
Open, MediumPublic

Description

There are now debian packages available for stretch/pike at

http://osbpo.debian.net/debian/ stretch-pike-backports main

before we deploy Pike to production we'll want to mirror those in an internal repo (T238820) but I can start setting up config things in the meantime.

Horizon is already running version 'train' so this task does not apply to Horizon.

Details

Related Gerrit Patches:
operations/puppet : productionnova-compute monitoring: support multiple python versions
operations/puppet : productionopenstack: neutron l3 agent: pike: fix radvd mask
operations/puppet : productionopenstack: neutron l3 agent: pike: disable ravd
operations/puppet : productionnova-fullstack: update to track changes in novaclient bindings
operations/puppet : productionRevert "Horizon: put in maintenance mode for the ocata=>pike upgrade"
operations/puppet : productionhaproxy for neutron: As of pike, the healthcheck url returns 405.
operations/puppet : productionOpenstack: move eqiad1 to version 'pike'
operations/puppet : productionHorizon: put in maintenance mode for the ocata=>pike upgrade
operations/puppet : productionnova monitoring: allow for different python versions in service
operations/puppet : productionkeystone.conf: specify pymysql driver for mysql connection
operations/puppet : productionneutron pike: roll back our router_info.py slightly
operations/puppet : productionneutron: update l3_agent_hacks for Pike
operations/puppet : productionmove codfw1-dev cluster to openstack 'pike'
operations/puppet : productionaptrepo: thirdparty/openstack-pike-stretch: add python-novaclient
operations/puppet : productionopenstack: serverpackages: pike: stretch: pin some packages from stretch-bpo
operations/puppet : productionaptrepo: thirdparty/openstack-pike-stretch: add some more python libs
operations/puppet : productionaptrepo: thirdparty/openstack-pike-stretch: add chardet and python-urllib3
operations/puppet : productionaptrepo: thirdparty/openstack-pike-stretch: add additional packages again
operations/puppet : productionaptrepo: thirdparty/openstack-pike-stretch: add additional packages
operations/puppet : productionMove cloudcontrol2003-dev to openstack 'pike'
operations/puppet : productionopenstack clientpackages: add manifests for openstack pike
operations/puppet : productionneutron: add service manifests for openstack Pike
operations/puppet : productionkeystone: add service manifests for openstack Pike
operations/puppet : productionglance: add service manifest for openstack pike
operations/puppet : productionnova: add service manifests for pike
operations/puppet : productionnova/pike: update policy.json for new Pike policy changes
operations/puppet : productionkeystone/pike: remove obsolete filter from paste.ini
operations/puppet : productionaptrepro: openstack-pike-stretch: import python-oslo.middleware too
operations/puppet : productionaptrepo: fix missing update for stretch-wikimedia (openstack-stretch-pike)
operations/puppet : productionaptrepo: include more packages for thirdparty/openstack-pike-stretch
operations/puppet : productioncloud-vps: use internal apt repo for pike packages
operations/puppet : productionaptrepo: actually install the update filter for openstack-pike-stretch
operations/puppet : productionaptrepo: import openstack stretch-pike-backports packages
operations/puppet : productionAdd initial config for Openstack Pike

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMon, Dec 23, 8:30 AM

Change 560372 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Add initial config for Openstack Pike

https://gerrit.wikimedia.org/r/560372

Change 560375 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] keystone/pike: remove obsolete filter from paste.ini

https://gerrit.wikimedia.org/r/560375

Change 560376 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] nova/pike: update policy.json for new Pike policy changes

https://gerrit.wikimedia.org/r/560376

Change 560372 merged by Andrew Bogott:
[operations/puppet@production] Add initial config for Openstack Pike

https://gerrit.wikimedia.org/r/560372

Change 560836 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: import openstack stretch-pike-backports packages

https://gerrit.wikimedia.org/r/560836

Change 560836 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: import openstack stretch-pike-backports packages

https://gerrit.wikimedia.org/r/560836

Mentioned in SAL (#wikimedia-operations) [2019-12-27T10:55:24Z] <arturo> import gpg key 0x56056AB2FEE4EECB in install1002 for openstack packages (T241347)

Change 560838 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: actually install the update filter for openstack-pike-stretch

https://gerrit.wikimedia.org/r/560838

Change 560838 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: actually install the update filter for openstack-pike-stretch

https://gerrit.wikimedia.org/r/560838

Mentioned in SAL (#wikimedia-operations) [2019-12-27T11:05:51Z] <arturo> import openstack pike packages into thirdparty/openstack-pike-stretch in install1002 (T241347)

Change 560839 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] cloud-vps: use internal apt repo for pike packages

https://gerrit.wikimedia.org/r/560839

Change 560839 merged by Andrew Bogott:
[operations/puppet@production] cloud-vps: use internal apt repo for pike packages

https://gerrit.wikimedia.org/r/560839

Change 560847 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: serverpackages: pike: stretch: pin some packages from stretch-bpo

https://gerrit.wikimedia.org/r/560847

Change 561140 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: include more packages for thirdparty/openstack-pike-stretch

https://gerrit.wikimedia.org/r/561140

Change 561140 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: include more packages for thirdparty/openstack-pike-stretch

https://gerrit.wikimedia.org/r/561140

Mentioned in SAL (#wikimedia-operations) [2019-12-30T11:45:52Z] <arturo> importing more packages into stretch-wikimedia/thirdparty/openstack-pike-stretch (T241347)

Change 561141 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: fix missing update for stretch-wikimedia (openstack-stretch-pike)

https://gerrit.wikimedia.org/r/561141

Change 561141 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: fix missing update for stretch-wikimedia (openstack-stretch-pike)

https://gerrit.wikimedia.org/r/561141

Change 561142 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepro: openstack-pike-stretch: import python-oslo.middleware too

https://gerrit.wikimedia.org/r/561142

Change 561142 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepro: openstack-pike-stretch: import python-oslo.middleware too

https://gerrit.wikimedia.org/r/561142

Change 561276 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Move cloudcontrol2003-dev to openstack 'pike'

https://gerrit.wikimedia.org/r/561276

Change 561277 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] move codfw1-dev cluster to openstack 'pike'

https://gerrit.wikimedia.org/r/561277

Change 560375 merged by Andrew Bogott:
[operations/puppet@production] keystone/pike: remove obsolete filter from paste.ini

https://gerrit.wikimedia.org/r/560375

Change 560376 merged by Andrew Bogott:
[operations/puppet@production] nova/pike: update policy.json for new Pike policy changes

https://gerrit.wikimedia.org/r/560376

Change 561279 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] nova: add service manifests for pike

https://gerrit.wikimedia.org/r/561279

Change 561280 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] glance: add service manifest for openstack pike

https://gerrit.wikimedia.org/r/561280

Change 561281 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] keystone: add service manifests for openstack Pike

https://gerrit.wikimedia.org/r/561281

Change 561282 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] neutron: add service manifests for openstack Pike

https://gerrit.wikimedia.org/r/561282

Change 561283 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] openstack clientpackages: add manifests for openstack pike

https://gerrit.wikimedia.org/r/561283

Change 561279 merged by Andrew Bogott:
[operations/puppet@production] nova: add service manifests for pike

https://gerrit.wikimedia.org/r/561279

Change 561280 merged by Andrew Bogott:
[operations/puppet@production] glance: add service manifest for openstack pike

https://gerrit.wikimedia.org/r/561280

Change 561281 merged by Andrew Bogott:
[operations/puppet@production] keystone: add service manifests for openstack Pike

https://gerrit.wikimedia.org/r/561281

Change 561282 merged by Andrew Bogott:
[operations/puppet@production] neutron: add service manifests for openstack Pike

https://gerrit.wikimedia.org/r/561282

Change 561283 merged by Andrew Bogott:
[operations/puppet@production] openstack clientpackages: add manifests for openstack pike

https://gerrit.wikimedia.org/r/561283

Change 561276 merged by Andrew Bogott:
[operations/puppet@production] Move cloudcontrol2003-dev to openstack 'pike'

https://gerrit.wikimedia.org/r/561276

Change 561289 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: thirdparty/openstack-pike-stretch: add additional packages

https://gerrit.wikimedia.org/r/561289

Change 561289 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: thirdparty/openstack-pike-stretch: add additional packages

https://gerrit.wikimedia.org/r/561289

Mentioned in SAL (#wikimedia-operations) [2019-12-31T16:57:10Z] <arturo> import more openstack packages into reprepro (T241347) thirdparty/openstack-pike-stretch

Change 561297 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: thirdparty/openstack-pike-stretch: add additional packages again

https://gerrit.wikimedia.org/r/561297

Change 561297 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: thirdparty/openstack-pike-stretch: add additional packages again

https://gerrit.wikimedia.org/r/561297

Change 561298 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: thirdparty/openstack-pike-stretch: add chardet and python-urllib3

https://gerrit.wikimedia.org/r/561298

Change 561298 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: thirdparty/openstack-pike-stretch: add chardet and python-urllib3

https://gerrit.wikimedia.org/r/561298

Change 561299 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: thirdparty/openstack-pike-stretch: add some more python libs

https://gerrit.wikimedia.org/r/561299

Change 561299 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: thirdparty/openstack-pike-stretch: add some more python libs

https://gerrit.wikimedia.org/r/561299

Change 560847 abandoned by Arturo Borrero Gonzalez:
openstack: serverpackages: pike: stretch: pin some packages from stretch-bpo

Reason:
no longer required

https://gerrit.wikimedia.org/r/560847

Andrew added a comment.Wed, Jan 1, 3:04 AM

After a lot of reprepro wrangling, keystone, python and glance now upgrade to Pike. Neutron still has problems, though, it depends on a newer novaclient:

root@cloudcontrol2003-dev:~# apt-get install neutron-common neutron-linuxbridge-agent neutron-server python-neutron python3-requests python3-urllib3
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 python-neutron : Depends: python-novaclient (>= 2:9.0.0) but 2:6.0.0-2 is to be installed
E: Unable to correct problems, you have held broken packages.
root@cloudcontrol2003-dev:~# apt-cache madison python-novaclient
python-novaclient |  2:6.0.0-2 | http://mirrors.wikimedia.org/debian stretch/main amd64 Packages
python-novaclient |  2:6.0.0-2 | http://mirrors.wikimedia.org/debian stretch/main Sources

Change 561596 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: thirdparty/openstack-pike-stretch: add python-novaclient

https://gerrit.wikimedia.org/r/561596

Change 561596 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: thirdparty/openstack-pike-stretch: add python-novaclient

https://gerrit.wikimedia.org/r/561596

Mentioned in SAL (#wikimedia-operations) [2020-01-02T11:23:09Z] <arturo> import more openstack packages into stretch-wikimedia thirdparty/openstack-pike-stretch (T241347)

aborrero assigned this task to Andrew.Thu, Jan 2, 12:02 PM
aborrero triaged this task as Medium priority.
aborrero moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.

Change 561277 merged by Andrew Bogott:
[operations/puppet@production] move codfw1-dev cluster to openstack 'pike'

https://gerrit.wikimedia.org/r/561277

Change 561660 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] neutron: update l3_agent_hacks for Pike

https://gerrit.wikimedia.org/r/561660

Change 561660 merged by Andrew Bogott:
[operations/puppet@production] neutron: update l3_agent_hacks for Pike

https://gerrit.wikimedia.org/r/561660

Change 561731 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] neutron pike: roll back our router_info.py slightly

https://gerrit.wikimedia.org/r/561731

Change 561731 merged by Andrew Bogott:
[operations/puppet@production] neutron pike: roll back our router_info.py slightly

https://gerrit.wikimedia.org/r/561731

Change 561744 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] keystone.conf: specify pymysql driver for mysql connection

https://gerrit.wikimedia.org/r/561744

Change 561744 merged by Andrew Bogott:
[operations/puppet@production] keystone.conf: specify pymysql driver for mysql connection

https://gerrit.wikimedia.org/r/561744

Change 561806 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] haproxy for neutron: As of pike, the healthcheck url returns 405.

https://gerrit.wikimedia.org/r/561806

Change 564373 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] nova monitoring: allow for different python versions in service

https://gerrit.wikimedia.org/r/564373

Mentioned in SAL (#wikimedia-cloud) [2020-01-14T12:02:50Z] <arturo> icinga downtime cloud* labs* hosts for 2 hours for openstack upgrades T241347

Mentioned in SAL (#wikimedia-cloud) [2020-01-14T12:04:49Z] <arturo> icinga downtime toolchecker for 2 hours for openstack upgrades T241347

Change 564373 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] nova monitoring: allow for different python versions in service

https://gerrit.wikimedia.org/r/564373

Change 564656 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Horizon: put in maintenance mode for the ocata=>pike upgrade

https://gerrit.wikimedia.org/r/564656

Change 564657 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Openstack: move eqiad1 to version 'pike'

https://gerrit.wikimedia.org/r/564657

Change 564658 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Revert "Horizon: put in maintenance mode for the ocata=>pike upgrade"

https://gerrit.wikimedia.org/r/564658

Change 564656 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] Horizon: put in maintenance mode for the ocata=>pike upgrade

https://gerrit.wikimedia.org/r/564656

Change 564657 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] Openstack: move eqiad1 to version 'pike'

https://gerrit.wikimedia.org/r/564657

Change 561806 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] haproxy for neutron: As of pike, the healthcheck url returns 405.

https://gerrit.wikimedia.org/r/561806

Change 564658 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] Revert "Horizon: put in maintenance mode for the ocata=>pike upgrade"

https://gerrit.wikimedia.org/r/564658

Change 564677 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] nova-fullstack: update to track changes in novaclient bindings

https://gerrit.wikimedia.org/r/564677

Change 564678 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: neutron l3 agent: pike: disable ravd

https://gerrit.wikimedia.org/r/564678

Change 564677 merged by Andrew Bogott:
[operations/puppet@production] nova-fullstack: update to track changes in novaclient bindings

https://gerrit.wikimedia.org/r/564677

Change 564678 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: neutron l3 agent: pike: disable ravd

https://gerrit.wikimedia.org/r/564678

Change 564682 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: neutron l3 agent: pike: fix radvd mask

https://gerrit.wikimedia.org/r/564682

Change 564683 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] nova-compute monitoring: support multiple python versions

https://gerrit.wikimedia.org/r/564683

Change 564682 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: neutron l3 agent: pike: fix radvd mask

https://gerrit.wikimedia.org/r/564682

Change 564683 merged by Andrew Bogott:
[operations/puppet@production] nova-compute monitoring: support multiple python versions

https://gerrit.wikimedia.org/r/564683

Mentioned in SAL (#wikimedia-cloud) [2020-01-14T14:23:18Z] <Zppix> delete pod to attempt force restart due to openstack upgrade (T241347)